summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2021-04-08 01:44:03 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2021-04-08 01:44:03 +0000
commit881244cd18e45a8b1c180f7799dc348f7478c6b9 (patch)
tree0651c21a428e1d1081ab2c5fe5a1b675f3f0fe73 /dev-python
parent43eefed5dd303578ee5f3decec37e5c792e33c8f (diff)
downloadbaldeagleos-repo-881244cd18e45a8b1c180f7799dc348f7478c6b9.tar.gz
baldeagleos-repo-881244cd18e45a8b1c180f7799dc348f7478c6b9.tar.xz
baldeagleos-repo-881244cd18e45a8b1c180f7799dc348f7478c6b9.zip
Adding metadata
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/boto3/Manifest1
-rw-r--r--dev-python/boto3/boto3-1.17.47.ebuild56
-rw-r--r--dev-python/botocore/Manifest1
-rw-r--r--dev-python/botocore/botocore-1.20.47.ebuild59
-rw-r--r--dev-python/coverage/Manifest1
-rw-r--r--dev-python/coverage/coverage-5.4.ebuild69
-rw-r--r--dev-python/coverage/coverage-5.5.ebuild2
-rw-r--r--dev-python/croniter/Manifest1
-rw-r--r--dev-python/croniter/croniter-1.0.11.ebuild26
-rw-r--r--dev-python/cython/cython-0.29.22.ebuild2
-rw-r--r--dev-python/hypothesis/Manifest2
-rw-r--r--dev-python/hypothesis/hypothesis-6.8.8.ebuild62
-rw-r--r--dev-python/hypothesis/hypothesis-6.8.9.ebuild62
-rw-r--r--dev-python/jupyter_client/Manifest1
-rw-r--r--dev-python/jupyter_client/jupyter_client-6.1.13.ebuild36
-rw-r--r--dev-python/phonenumbers/Manifest1
-rw-r--r--dev-python/phonenumbers/phonenumbers-8.12.21.ebuild20
-rw-r--r--dev-python/pikepdf/Manifest1
-rw-r--r--dev-python/pikepdf/pikepdf-2.11.0.ebuild51
-rw-r--r--dev-python/ruamel-yaml/Manifest1
-rw-r--r--dev-python/ruamel-yaml/ruamel-yaml-0.17.4.ebuild50
-rw-r--r--dev-python/transitions/Manifest1
-rw-r--r--dev-python/transitions/transitions-0.8.8.ebuild41
-rw-r--r--dev-python/websocket-client/websocket-client-0.58.0-r1.ebuild (renamed from dev-python/websocket-client/websocket-client-0.58.0.ebuild)5
24 files changed, 480 insertions, 72 deletions
diff --git a/dev-python/boto3/Manifest b/dev-python/boto3/Manifest
index 03574a17bde0..256bd4064eec 100644
--- a/dev-python/boto3/Manifest
+++ b/dev-python/boto3/Manifest
@@ -10,3 +10,4 @@ DIST boto3-1.17.43.tar.gz 358179 BLAKE2B 7d0a9344642b8c2a4241296327e055abe700c82
DIST boto3-1.17.44.tar.gz 358816 BLAKE2B 1739762cf4723d6fde30080d468732dd6fb9bc9e2d66b37621a545262a60cc2783505f39dabad28af34d4f2d69720053a256cb823937a99b699d76513fb9294d SHA512 69e3357f363e08b3135ffdf6aaac6049b0619fafd82049679b238f35013864cdf599452bd94ccd7c27a4da441bc81be79ebebd05b20460c45f5808c3b70cb9ca
DIST boto3-1.17.45.tar.gz 359297 BLAKE2B 2e0f2b3b13db473f2067d2d662dbe867189f4e82bd9730d1acda8448fe30d85d59a4a5a618e4ac9c3bd29ed3167eb05aee06138027b83497349cef8e1ece8565 SHA512 a686f19e788248a61deeff1c58fa18d3d000b32f3303c177f28db954d1bdec841a042f8310a545dc2214536ba4bcdf59d50173a7ca54e90bef68d61c6276b7f4
DIST boto3-1.17.46.tar.gz 359739 BLAKE2B 87c22c4605c521e8b80b5b366cc56ce88745cba3fce12ed8a5dd6905b27fbd67dc440eac05f45552f80b6b281df10265d7dce2ef378840c7d6f7d1f1239e478f SHA512 84eabf10695c3fa236436658b878fa2de5c3307aef9f8b68047c1481963fe479b642cff22852a6f76bd208622da61398cbfc3feb3c5f5f6c03ac9e4e1e06a441
+DIST boto3-1.17.47.tar.gz 360120 BLAKE2B 11f29c956d317956fbe84a1bea953350cd69c25bbf03bb3098b811c541cdc81ea5e4f80be81b6442ee3064b76eb9dc97f8e2369d95c4b080fe4efa7ec468c2e9 SHA512 1608c5ddf65097c4f3c48a1544fb55e9d5beeb59d58fb781574cc47ce39b693cc030ac8f21fbababd4253ccebdacf4b4a1df6afb0b02cdb8e0d4a92c28a48c2e
diff --git a/dev-python/boto3/boto3-1.17.47.ebuild b/dev-python/boto3/boto3-1.17.47.ebuild
new file mode 100644
index 000000000000..2df16964cdb0
--- /dev/null
+++ b/dev-python/boto3/boto3-1.17.47.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+DISTUTILS_USE_SETUPTOOLS=bdepend
+inherit distutils-r1
+
+DESCRIPTION="The AWS SDK for Python"
+HOMEPAGE="https://github.com/boto/boto3"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/boto3"
+ inherit git-r3
+ BOTOCORE_PV=${PV}
+else
+ SRC_URI="https://github.com/boto/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="~amd64 ~arm ~arm64 ~x86 ~amd64-linux ~x86-linux"
+
+ # botocore is x.(y+3).z
+ BOTOCORE_PV="$(ver_cut 1).$(( $(ver_cut 2) + 3)).$(ver_cut 3-)"
+fi
+
+RDEPEND="
+ >=dev-python/botocore-${BOTOCORE_PV}[${PYTHON_USEDEP}]
+ >=dev-python/jmespath-0.7.1[${PYTHON_USEDEP}]
+ >=dev-python/s3transfer-0.3.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_sphinx docs/source \
+ 'dev-python/guzzle_sphinx_theme'
+distutils_enable_tests nose
+
+python_prepare_all() {
+ # don't lock versions to narrow ranges
+ sed -e '/botocore/ d' \
+ -e '/jmespath/ d' \
+ -e '/s3transfer/ d' \
+ -i setup.py || die
+
+ # prevent an infinite loop
+ rm tests/functional/docs/test_smoke.py || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ nosetests -v tests/unit/ tests/functional/ || die "test failed under ${EPYTHON}"
+}
diff --git a/dev-python/botocore/Manifest b/dev-python/botocore/Manifest
index 80243d819b0a..3bcf932a9a5e 100644
--- a/dev-python/botocore/Manifest
+++ b/dev-python/botocore/Manifest
@@ -10,3 +10,4 @@ DIST botocore-1.20.43.tar.gz 7595391 BLAKE2B 78c7e146e2a5b204c5a4c0b6c0d8ea6ee8b
DIST botocore-1.20.44.tar.gz 7596878 BLAKE2B 935d4ea1c5212d29566c3344761b00d2eb03e7588bd7805072926ecd41f0fa03cd91e25802dc63078190c49f1b8503545bd0b2a88d702c04a961d57a0022080f SHA512 eb7ae15bac4ae8ad516ebcd8166f65a809d7d02c11dde25b714f7bf673ecfeef9ea414ab4b53ac428ac948ee8b054666ba2f6c0a96e6d148ff46d94e6100350d
DIST botocore-1.20.45.tar.gz 7597127 BLAKE2B 64023be1da8b10ab29110fe626ba641e9da48a47db663c2e17ed8f590b448d4fab07d66cbb68485cacaed556f27c48e12a8b2d7aa6053fcff921e4776f8a9db8 SHA512 2a3f97e4f1046aa4df3a5da9d3722579dcea0937807d9115ec5480e243788a31c58d10e1b4e002cb43668adb75174d9351cbf6b52edc0a5970c7d4b10691b02c
DIST botocore-1.20.46.tar.gz 7600596 BLAKE2B 31d81b6ae5ed9a4cf61d81151216bfb49badefce1eb56ae65ead25219044483753e6216883c50602efac336c7d2681a3814ec2449c964d9d0281dc0480180d32 SHA512 fdedd2b79ac8134b7cb819f2f713e7466c4e6f635155799dac0b95b5d97fc2010190b1e64c035b6f375082dff4e65cdf6389e267d25690caa7596dbb381c83c0
+DIST botocore-1.20.47.tar.gz 7619450 BLAKE2B c54015bbc537de9a8400f294e3e866f755f462515a2cbde8c15aa80d6d096f02442a71841cb9f9eca931ad948840c94946bcddd58fd1b81ef08d2cba88d9c7c2 SHA512 6f937133e8c9b3978367b4eeeb6b3a752e1d87d528cfc6ee1de8807ad5be14020815c130da25232405a09371a06d329da8b36fb29a0d1ff4391ccfd109727c1a
diff --git a/dev-python/botocore/botocore-1.20.47.ebuild b/dev-python/botocore/botocore-1.20.47.ebuild
new file mode 100644
index 000000000000..9d681f87244c
--- /dev/null
+++ b/dev-python/botocore/botocore-1.20.47.ebuild
@@ -0,0 +1,59 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Low-level, data-driven core of boto 3"
+HOMEPAGE="https://github.com/boto/botocore"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/botocore"
+ inherit git-r3
+else
+ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+ KEYWORDS="~amd64 ~arm ~arm64 ~x86 ~amd64-linux ~x86-linux"
+fi
+
+RDEPEND="
+ dev-python/six[${PYTHON_USEDEP}]
+ dev-python/jmespath[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ >=dev-python/urllib3-1.25.4[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ )
+"
+
+PATCHES=(
+ "${FILESDIR}/1.8.6-tests-pass-all-env-vars-to-cmd-runner.patch"
+)
+
+distutils_enable_sphinx docs/source \
+ 'dev-python/guzzle_sphinx_theme'
+distutils_enable_tests nose
+
+src_prepare() {
+ # unpin deps
+ sed -i -e "s:>=.*':':" setup.py || die
+ # very unstable
+ sed -i -e 's:test_stress_test_token_bucket:_&:' \
+ tests/functional/retries/test_bucket.py || die
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ # note: suites need to be run separately as one of the unit tests
+ # seems to be leaking mocks and breaking a few functional tests
+ nosetests -v tests/unit ||
+ die "unit tests failed under ${EPYTHON}"
+ nosetests -v tests/functional ||
+ die "functional tests failed under ${EPYTHON}"
+}
diff --git a/dev-python/coverage/Manifest b/dev-python/coverage/Manifest
index 3edc364912e4..16dd05096223 100644
--- a/dev-python/coverage/Manifest
+++ b/dev-python/coverage/Manifest
@@ -1,3 +1,2 @@
DIST coverage-4.5.4.tar.gz 385185 BLAKE2B 9d040bff13cebd1cb7147f15c3ec03bb08648cf801b5b2bb046a6b5bcadb3d3886be8bf0a624d225f25d10a5ca82fe5fb88f55e44e92a0a3285836b837972970 SHA512 ba534e04fe35cbadc4b16735f25c08f579a49a6677ec106680f222f2dfb3d0f1e011d0962f1c2108c375173ac4588bea1619ecda05ff9ba6fd888daddfd27b0e
-DIST coverage-5.4.tar.gz 687727 BLAKE2B 54c9e605eaed551aff0c6764bf2747e2ce64a7c0596cb78cb4ad6998c4b7d79fe31bfe98eb240aee4c838dde6a4536f8e84d00c14846bb671b51b28168a96947 SHA512 c682806bce603fff1ff09234c72e17370093192053961656f06ef4bcc7928f052ef4a350e80687c640d7608a22f4f3434e1836d83674eebca53459745838f519
DIST coverage-5.5.tar.gz 691258 BLAKE2B 66bf340956b760d996ce424f977b407eb74062db56108e4910459dbcb7c271820ca655a648021763aede1c4d87c44524cea0cb34f969f203f630d48cf15b05b4 SHA512 fb78b4920a2f18afb9545a6f13910f491708443965881954fff6ee8553ab3d6bd898f7a95df1091435e8d5627ac850b880a6233e716a6acb934ecc195ec2ee52
diff --git a/dev-python/coverage/coverage-5.4.ebuild b/dev-python/coverage/coverage-5.4.ebuild
deleted file mode 100644
index 59f5ac923c2f..000000000000
--- a/dev-python/coverage/coverage-5.4.ebuild
+++ /dev/null
@@ -1,69 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-PYTHON_COMPAT=( python3_{6,7,8,9,10} pypy3 )
-PYTHON_REQ_USE="threads(+),sqlite(+)"
-DISTUTILS_USE_SETUPTOOLS=rdepend
-
-inherit distutils-r1
-
-DESCRIPTION="Code coverage measurement for Python"
-HOMEPAGE="https://coverage.readthedocs.io/en/latest/ https://pypi.org/project/coverage/"
-SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
-
-LICENSE="BSD"
-SLOT="0"
-KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~x64-macos"
-#IUSE="test"
-# The tests are impossible to appease. Please run them externally
-# via tox. Or fix the ebuild if you have hours of time to spend
-# on something utterly useless.
-RESTRICT="test"
-
-#BDEPEND="
-# test? (
-# dev-python/PyContracts[${PYTHON_USEDEP}]
-# dev-python/flaky[${PYTHON_USEDEP}]
-# dev-python/hypothesis[${PYTHON_USEDEP}]
-# dev-python/mock[${PYTHON_USEDEP}]
-# dev-python/pytest[${PYTHON_USEDEP}]
-# >=dev-python/unittest-mixins-1.4[${PYTHON_USEDEP}]
-# )
-#"
-
-src_prepare() {
- # avoid the dep on xdist, run tests verbosely
- sed -i -e '/^addopts/s:-n3:-v:' setup.cfg || die
- distutils-r1_src_prepare
-}
-
-python_compile() {
- if [[ ${EPYTHON} == python2.7 ]]; then
- local CFLAGS="${CFLAGS} -fno-strict-aliasing"
- export CFLAGS
- fi
-
- distutils-r1_python_compile
-}
-
-python_test() {
- distutils_install_for_testing
- local bindir=${TEST_DIR}/scripts
-
- pushd tests/eggsrc >/dev/null || die
- distutils_install_for_testing
- popd >/dev/null || die
-
- "${EPYTHON}" igor.py zip_mods || die
- PATH="${bindir}:${PATH}" "${EPYTHON}" igor.py test_with_tracer py || die
-
- # No C extensions under pypy
- if [[ ${EPYTHON} != pypy* ]]; then
- cp -l -- "${TEST_DIR}"/lib/*/coverage/*.so coverage/ || die
- PATH="${bindir}:${PATH}" "${EPYTHON}" igor.py test_with_tracer c || die
- fi
-
- # clean up leftover "egg1" directory
- rm -rf build/lib/egg1 || die
-}
diff --git a/dev-python/coverage/coverage-5.5.ebuild b/dev-python/coverage/coverage-5.5.ebuild
index 24baf3695dc1..e7ee42cb5c19 100644
--- a/dev-python/coverage/coverage-5.5.ebuild
+++ b/dev-python/coverage/coverage-5.5.ebuild
@@ -14,7 +14,7 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="BSD"
SLOT="0"
-KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~mips ppc ppc64 ~riscv ~s390 ~sparc x86 ~x64-macos"
+KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~x64-macos"
#IUSE="test"
# The tests are impossible to appease. Please run them externally
# via tox. Or fix the ebuild if you have hours of time to spend
diff --git a/dev-python/croniter/Manifest b/dev-python/croniter/Manifest
index e53048cb007b..e97d8b5dcb58 100644
--- a/dev-python/croniter/Manifest
+++ b/dev-python/croniter/Manifest
@@ -1,4 +1,5 @@
DIST croniter-1.0.10.tar.gz 31547 BLAKE2B 7cb8d5c68fa567250c2d1a6aa7667bf07dff6864ee2d03308bd7d2348cc67c3254b74f97caa433e135746325170b8b75b7c84c45d2f93a535819e57391aea551 SHA512 46065a402e1d294104c564fc3229560499584eae1a2714e3760c547b24c1ab563c9bad73ef7510a7bda6dd4f3f3b4821ad56a0d51aeace96eea88079a5bf9973
+DIST croniter-1.0.11.tar.gz 34833 BLAKE2B b86992a10a80eb96c323a747c9c4ecf07afe0ede432d65f5c25f194c7421153cdc1ba3bdd37fac5832e99ca915a796662fd3aa360e4f6e9f4cf2ebe2791735a4 SHA512 8fcb68f51c0db9a3b9c038f6958b958734ea26613ed0c7c7dcabdadd71d33065c01ed99ddca5a849a1a235881233acf8b278e4510c6c4e3c37ef2a9fabeb2469
DIST croniter-1.0.6.tar.gz 30489 BLAKE2B a3caf1d0606dbec7a978e5089b08bf6edb13533524f5a3f1639483547b14a83f099276f4c63e9b84031202c088a8237326f70ecaca0bf3503f4a33173ce0d358 SHA512 1ca37c7dbd6a7365db112ccd474d76babc890aad1e2c341677be13c4f4e28a98219266efc065442e2077588a36b60c01d8e2996f0a32def690cf49e2c7c584bc
DIST croniter-1.0.8.tar.gz 31019 BLAKE2B a637f7df806a85aeb236c38a9fa19ed0929fd257268cbe98bf7b281f1c52a9bfe98c91063da48b1344946f6619c5ac8f0e89051c1672fa6997c830dd97b7d9f2 SHA512 cf620baa55709c2379cc7f8f0123bd79e03b7dabaecd539633b8f52f97aa617c48e5692e0a45c08f4b30b2fab52c47cfc502c2ea550329083db2353ecdc56635
DIST croniter-1.0.9.tar.gz 31258 BLAKE2B 01033a483f9f996ede903f9f0f648c9c2e5b270e0cce29845e264d0bbd6f792eeef69ada03ceca6b747ce4db98d79b7875f1fd9304492e40517d04f72f5a57da SHA512 3f8ceb2b759b8b80d296ac1e7994e6fa6ae7fe5b3921f9653edfbd325f88e66964366427df0b2e897abfc9d0b18b23524d8b4a8a2ab2536e37e357295edde6ab
diff --git a/dev-python/croniter/croniter-1.0.11.ebuild b/dev-python/croniter/croniter-1.0.11.ebuild
new file mode 100644
index 000000000000..abce99f9e8d3
--- /dev/null
+++ b/dev-python/croniter/croniter-1.0.11.ebuild
@@ -0,0 +1,26 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python module to provide iteration for datetime object"
+HOMEPAGE="https://github.com/kiorky/croniter https://pypi.org/project/croniter/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+RDEPEND="
+ dev-python/python-dateutil[${PYTHON_USEDEP}]"
+BDEPEND="
+ test? (
+ dev-python/pytz[${PYTHON_USEDEP}]
+ dev-python/tzlocal[${PYTHON_USEDEP}]
+ )"
+
+distutils_enable_tests pytest
diff --git a/dev-python/cython/cython-0.29.22.ebuild b/dev-python/cython/cython-0.29.22.ebuild
index ea12bad7d8a8..3dc1b3d65249 100644
--- a/dev-python/cython/cython-0.29.22.ebuild
+++ b/dev-python/cython/cython-0.29.22.ebuild
@@ -16,7 +16,7 @@ SRC_URI="https://github.com/cython/cython/archive/${PV}.tar.gz -> ${P}.gh.tar.gz
LICENSE="Apache-2.0"
SLOT="0"
-KEYWORDS="~alpha amd64 arm ~arm64 ~hppa ~ia64 ~mips ppc ppc64 ~riscv ~s390 ~sparc x86 ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x64-solaris ~x86-solaris"
+KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~mips ppc ppc64 ~riscv ~s390 ~sparc x86 ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x64-solaris ~x86-solaris"
IUSE="emacs test"
RESTRICT="!test? ( test )"
diff --git a/dev-python/hypothesis/Manifest b/dev-python/hypothesis/Manifest
index 74ad838596b6..35a3ab587f49 100644
--- a/dev-python/hypothesis/Manifest
+++ b/dev-python/hypothesis/Manifest
@@ -6,3 +6,5 @@ DIST hypothesis-python-6.8.4.tar.gz 9120762 BLAKE2B 00c6348c924252207cfca30babb2
DIST hypothesis-python-6.8.5.tar.gz 9120852 BLAKE2B af15d2eaf0dbbd5d031c88af911bc9c490ba0cef0fa8a903747dbac93e8be72defbb65e7d41b354e713d56d956a7f09e6652390a771c4fedad3b0caf5830468f SHA512 ed1c67e7ffdd9cdf7864c1b21394419151936ee23bf2c3bbb9e5502f3184b092eeada97cf1ae5dfae857e268461662f2cf264cdfa76b146cddb824e01eb06e17
DIST hypothesis-python-6.8.6.tar.gz 9120971 BLAKE2B c172fae93e28853e75c1a9cb4922ff9fef8100460c9d4b4963df47c252794a95eb24a8f09b386c52033103a897417aa1e210d4fcc2f6f60c5eb8aede3e8aeb09 SHA512 67a614fdfb92128a399b88ceb6a4791a1d2316179c6526f084bcc60dad2fac3172443307ebfe28f729ca4fcd150576d27cb7da86c937708943c74071ed3b638f
DIST hypothesis-python-6.8.7.tar.gz 9121168 BLAKE2B 87f0eafe558b9b87e69bbe5e5ee84ce8afc9cdfdf10bd2aa139ab3b334936ca7882367bcf18bc708a9ccd23a99c4a6abe8db4ca0a3d1ba50c033e5cdf7cbf70f SHA512 9b35d829a1b453a64eb17bd11a8981e8bf8e7aa99a8e59d9dd30c0fde98db1aaec36fac64ad2c9e319374240a7e6b612c01bc54401ef03112595630e6ff9286b
+DIST hypothesis-python-6.8.8.tar.gz 9121704 BLAKE2B 3c9aaf8e8ce9de4329a38bbbc098a51f0a05704e6166ac1022de76a0679302483e73c62639318ed4b7504f7a9f51ceb809e40d36049e9911677238543da6743f SHA512 8f9f6b738b43974263ff17bc166cdc1ebb092278007d075e9de2aa305315893f4201f800c926d40f0cfb03af514116ece69fb6082a706493b5a807a989e588ba
+DIST hypothesis-python-6.8.9.tar.gz 9122168 BLAKE2B 2568dcfcbc7182071247d0b7d978abf2184be4583937a42568c3e199eac6ce538adb7b3687747979fc6ab9da1e61088db7d1a01294982e75cb04992cdc10537a SHA512 4dc3884e2487f27a3b6b362e04cecd281f9072fdd2e8e91738899baf589d6d48df9eeacb9a158251c20b210d1190b78eadd191aa95f151023bd81091131dff66
diff --git a/dev-python/hypothesis/hypothesis-6.8.8.ebuild b/dev-python/hypothesis/hypothesis-6.8.8.ebuild
new file mode 100644
index 000000000000..f20e753a168b
--- /dev/null
+++ b/dev-python/hypothesis/hypothesis-6.8.8.ebuild
@@ -0,0 +1,62 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DISTUTILS_USE_SETUPTOOLS=rdepend
+PYTHON_COMPAT=( python3_{6,7,8,9,10} pypy3 )
+PYTHON_REQ_USE="threads(+),sqlite"
+
+inherit distutils-r1 eutils multiprocessing optfeature
+
+DESCRIPTION="A library for property based testing"
+HOMEPAGE="https://github.com/HypothesisWorks/hypothesis https://pypi.org/project/hypothesis/"
+SRC_URI="https://github.com/HypothesisWorks/${PN}/archive/${PN}-python-${PV}.tar.gz"
+S="${WORKDIR}/${PN}-${PN}-python-${PV}/${PN}-python"
+
+LICENSE="MPL-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos"
+IUSE="cli"
+
+RDEPEND="
+ >=dev-python/attrs-19.2.0[${PYTHON_USEDEP}]
+ >=dev-python/sortedcontainers-2.1.0[${PYTHON_USEDEP}]
+ cli? (
+ $(python_gen_cond_dep '
+ dev-python/black[${PYTHON_USEDEP}]
+ dev-python/click[${PYTHON_USEDEP}]
+ ' 'python*')
+ )
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/pexpect[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ !!<dev-python/typing-3.7.4.1
+ )
+"
+
+distutils_enable_tests --install pytest
+
+python_prepare() {
+ if ! use cli || [[ ${EPYTHON} != python* ]]; then
+ sed -i -e '/console_scripts/d' setup.py || die
+ fi
+}
+
+python_test() {
+ distutils_install_for_testing
+ epytest tests/cover tests/pytest tests/quality \
+ -n "$(makeopts_jobs "${MAKEOPTS}" "$(get_nproc)")"
+}
+
+pkg_postinst() {
+ optfeature "datetime support" dev-python/pytz
+ optfeature "dateutil support" dev-python/python-dateutil
+ optfeature "numpy support" dev-python/numpy
+ optfeature "django support" dev-python/django dev-python/pytz
+ optfeature "pandas support" dev-python/pandas
+ optfeature "pytest support" dev-python/pytest
+}
diff --git a/dev-python/hypothesis/hypothesis-6.8.9.ebuild b/dev-python/hypothesis/hypothesis-6.8.9.ebuild
new file mode 100644
index 000000000000..f20e753a168b
--- /dev/null
+++ b/dev-python/hypothesis/hypothesis-6.8.9.ebuild
@@ -0,0 +1,62 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DISTUTILS_USE_SETUPTOOLS=rdepend
+PYTHON_COMPAT=( python3_{6,7,8,9,10} pypy3 )
+PYTHON_REQ_USE="threads(+),sqlite"
+
+inherit distutils-r1 eutils multiprocessing optfeature
+
+DESCRIPTION="A library for property based testing"
+HOMEPAGE="https://github.com/HypothesisWorks/hypothesis https://pypi.org/project/hypothesis/"
+SRC_URI="https://github.com/HypothesisWorks/${PN}/archive/${PN}-python-${PV}.tar.gz"
+S="${WORKDIR}/${PN}-${PN}-python-${PV}/${PN}-python"
+
+LICENSE="MPL-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos"
+IUSE="cli"
+
+RDEPEND="
+ >=dev-python/attrs-19.2.0[${PYTHON_USEDEP}]
+ >=dev-python/sortedcontainers-2.1.0[${PYTHON_USEDEP}]
+ cli? (
+ $(python_gen_cond_dep '
+ dev-python/black[${PYTHON_USEDEP}]
+ dev-python/click[${PYTHON_USEDEP}]
+ ' 'python*')
+ )
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/pexpect[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ !!<dev-python/typing-3.7.4.1
+ )
+"
+
+distutils_enable_tests --install pytest
+
+python_prepare() {
+ if ! use cli || [[ ${EPYTHON} != python* ]]; then
+ sed -i -e '/console_scripts/d' setup.py || die
+ fi
+}
+
+python_test() {
+ distutils_install_for_testing
+ epytest tests/cover tests/pytest tests/quality \
+ -n "$(makeopts_jobs "${MAKEOPTS}" "$(get_nproc)")"
+}
+
+pkg_postinst() {
+ optfeature "datetime support" dev-python/pytz
+ optfeature "dateutil support" dev-python/python-dateutil
+ optfeature "numpy support" dev-python/numpy
+ optfeature "django support" dev-python/django dev-python/pytz
+ optfeature "pandas support" dev-python/pandas
+ optfeature "pytest support" dev-python/pytest
+}
diff --git a/dev-python/jupyter_client/Manifest b/dev-python/jupyter_client/Manifest
index 01d6e644887b..5ce850c0ef42 100644
--- a/dev-python/jupyter_client/Manifest
+++ b/dev-python/jupyter_client/Manifest
@@ -1,2 +1,3 @@
DIST jupyter_client-6.1.11.tar.gz 293651 BLAKE2B 73a8567927c452a6a6a591eed04d592c6bb52211214e6d27ae816a2ce07a61c3f80991a2209b42c1d679ff6d3ead564f6ac97e6500473e0e5bd86bad83db07c1 SHA512 3cd6c3d299ea7097b04ad88b08dad8c23d90c5feee18bf441434a6069151b85717c4d00d2c186c463995d26383442c4f63c86565b1606e60afb61426515f9a11
DIST jupyter_client-6.1.12.tar.gz 301499 BLAKE2B 8041b84ad2e89413ee60d1aee2e49a67a89b5aad1c3118c8fa7d7d719c8ec2acbc72278c9aaea095cdcb89235800d09b1792b2138c09a4aad59ceaaf695af431 SHA512 f31ff1a24b264c32d35d07491785e1d77935cdb463243e90e4aadcb0a093a074cdce75f01662591766588f39b146077639ca697f71157309dc92f12ae04d5cdd
+DIST jupyter_client-6.1.13.tar.gz 299928 BLAKE2B 8320d4e01807dfadbd4a010c62422ffab5d28b4902c21d7339aacbae02acabfd6df879c036b64ac2bb0847676a4724fce8f590cbd4a584fbc23fe90e187c27e1 SHA512 3419dd8a88ca17fb4e1638a5f9c82fec77e0c84a80fcaca0fc168eec22bb249881b3867a547aa215ae6abc6f832ed03010e8fb51873132ef51aeb403d7b133b7
diff --git a/dev-python/jupyter_client/jupyter_client-6.1.13.ebuild b/dev-python/jupyter_client/jupyter_client-6.1.13.ebuild
new file mode 100644
index 000000000000..80816f92fa55
--- /dev/null
+++ b/dev-python/jupyter_client/jupyter_client-6.1.13.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+PYTHON_REQ_USE="threads(+)"
+DISTUTILS_USE_SETUPTOOLS=rdepend
+
+inherit distutils-r1
+
+DESCRIPTION="Jupyter protocol implementation and client libraries"
+HOMEPAGE="https://jupyter.org"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+RDEPEND="
+ dev-python/async_generator[${PYTHON_USEDEP}]
+ dev-python/jupyter_core[${PYTHON_USEDEP}]
+ dev-python/nest_asyncio[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ >=dev-python/pyzmq-14.4.0[${PYTHON_USEDEP}]
+ dev-python/traitlets[${PYTHON_USEDEP}]
+ www-servers/tornado[${PYTHON_USEDEP}]"
+BDEPEND="
+ test? (
+ dev-python/ipykernel[${PYTHON_USEDEP}]
+ dev-python/ipython[${PYTHON_USEDEP}]
+ <dev-python/jedi-0.17.3[${PYTHON_USEDEP}]
+ dev-python/mock[${PYTHON_USEDEP}]
+ )"
+
+distutils_enable_tests pytest
diff --git a/dev-python/phonenumbers/Manifest b/dev-python/phonenumbers/Manifest
index 36ad80c94320..3e9aff7fe10c 100644
--- a/dev-python/phonenumbers/Manifest
+++ b/dev-python/phonenumbers/Manifest
@@ -1 +1,2 @@
DIST phonenumbers-8.12.20.tar.gz 2257751 BLAKE2B a35423ac7c80a8533e360355d4beed5219ded5619b2da3c2dfd6691b9d270353107a6e43f29591ee86f1eb8eaf058b5c5f307b560e33ef9b25c662f02262aac3 SHA512 79fe102b9619564a2b43797440147da8240b901eea30e199b5e4ebb3555a1b95cdbd5153b5938ef6bea9847f71c62b83a0d258b7c8f477f446385b74450305e3
+DIST phonenumbers-8.12.21.tar.gz 2257983 BLAKE2B 2630cc429b49a1d5a2e5cef63b27dd676463627468dc8f3b5bd880573e347c1339cd498e65eaa22566f80e08d4707dba4b1c74f91e37c3caa3e567e8bf577fee SHA512 dfd18ae071d70a5388d9f76941b56b9728cb383dc99fd25efdc3aa7d36b8b60e18fdf1765ee8cf80724c57d165642376eebd131d4738af9bfa11f1af7e4122fa
diff --git a/dev-python/phonenumbers/phonenumbers-8.12.21.ebuild b/dev-python/phonenumbers/phonenumbers-8.12.21.ebuild
new file mode 100644
index 000000000000..ac8788fcaacf
--- /dev/null
+++ b/dev-python/phonenumbers/phonenumbers-8.12.21.ebuild
@@ -0,0 +1,20 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python port of Google's libphonenumber"
+HOMEPAGE="https://github.com/daviddrysdale/python-phonenumbers"
+SRC_URI="mirror://pypi/p/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+DOCS=(README.md)
+
+distutils_enable_tests setup.py
diff --git a/dev-python/pikepdf/Manifest b/dev-python/pikepdf/Manifest
index fe2945bc26e4..8c74b345ecb1 100644
--- a/dev-python/pikepdf/Manifest
+++ b/dev-python/pikepdf/Manifest
@@ -1 +1,2 @@
DIST pikepdf-2.10.0.tar.gz 2376794 BLAKE2B c9f85ddec15a7eaef2ed3c43221196d957dc5d8d03aa9931886d52653efa238d6d847862e2610edcfca85cd2ad0746f2f0ae78e70ecd6666cc1a37b4f6644dd2 SHA512 d2a8ecd91ef4ae8c16b5e6fcd7149a1180d6c7c1f16c262566d7d43f82d25a6701676511c8327b265cf0ac2bfc6db29b43c4713e4b51651fdb5f680449a53af0
+DIST pikepdf-2.11.0.tar.gz 2382340 BLAKE2B 60a09d1b7f463720af17be4b3ac70fd575f01f0e4f27b87723fddf18424d97fddc6f11de59bb1a061496f9d847babfcf3446d3bbd7445dea56106879a2ff31a3 SHA512 d55c10799667a142ed651ab36de01011abad0ae95c3dc267871147deb458e0930aba6fd5c3a20487641f2d8fa60d7b15f6ba40cbb2370bc13ef418ce3b300233
diff --git a/dev-python/pikepdf/pikepdf-2.11.0.ebuild b/dev-python/pikepdf/pikepdf-2.11.0.ebuild
new file mode 100644
index 000000000000..c1b5454f13e9
--- /dev/null
+++ b/dev-python/pikepdf/pikepdf-2.11.0.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+inherit distutils-r1
+
+MY_P=${P/_p/.post}
+DESCRIPTION="Python library to work with pdf files based on qpdf"
+HOMEPAGE="https://pypi.org/project/pikepdf/ https://github.com/pikepdf/pikepdf"
+SRC_URI="
+ https://github.com/${PN}/${PN}/archive/v${PV/_p/.post}.tar.gz
+ -> ${MY_P}.tar.gz"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="MPL-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+DEPEND="app-text/qpdf:0="
+RDEPEND="${DEPEND}
+ dev-python/pillow[${PYTHON_USEDEP}]
+ dev-python/lxml[${PYTHON_USEDEP}]
+ dev-python/pybind11[${PYTHON_USEDEP}]"
+BDEPEND="
+ >=dev-python/pybind11-2.6.0[${PYTHON_USEDEP}]
+ >=dev-python/setuptools_scm-4.1[${PYTHON_USEDEP}]
+ dev-python/toml[${PYTHON_USEDEP}]
+ dev-python/setuptools_scm_git_archive[${PYTHON_USEDEP}]
+ test? (
+ >=dev-python/attrs-20.2.0[${PYTHON_USEDEP}]
+ >=dev-python/hypothesis-5[${PYTHON_USEDEP}]
+ >=dev-python/pillow-5.0.0[${PYTHON_USEDEP},jpeg,lcms,tiff]
+ >=dev-python/psutil-5[${PYTHON_USEDEP}]
+ >=dev-python/pytest-6[${PYTHON_USEDEP}]
+ >=dev-python/pytest-timeout-1.4.2[${PYTHON_USEDEP}]
+ >=dev-python/python-dateutil-2.8.0[${PYTHON_USEDEP}]
+ >=dev-python/python-xmp-toolkit-2.0.1[${PYTHON_USEDEP}]
+ )"
+
+#distutils_enable_sphinx docs \
+# dev-python/ipython \
+# dev-python/matplotlib \
+# dev-python/sphinx_rtd_theme
+distutils_enable_tests pytest
+
+src_prepare() {
+ sed -i -e '/wheel/d' setup.py || die
+ sed -i -e '/-n auto/d' setup.cfg || die
+ distutils-r1_src_prepare
+}
diff --git a/dev-python/ruamel-yaml/Manifest b/dev-python/ruamel-yaml/Manifest
index 301cc72e3b90..1dd8386e15e2 100644
--- a/dev-python/ruamel-yaml/Manifest
+++ b/dev-python/ruamel-yaml/Manifest
@@ -1,4 +1,5 @@
DIST ruamel-yaml-0.16.13.tar.xz 178756 BLAKE2B 19ee4713786a33853f42256e5cd3187e9e19b931ebd83a133365de3f080721c5a6f5fb41ff3079473461df47a0ab149981c5e94d08321da8b3c9eb311c226945 SHA512 1366fc0b3b5ea2699ca324636403576134ccc7c725b13c21a7752d1b16c644c93c7f7d82ddc337087d2c02947f95263d7a3fdd162f552ac3a78fa36f1f17b3f1
DIST ruamel-yaml-0.17.0.tar.xz 177532 BLAKE2B 8935acef9210f61283a659ffeb1137524b374b26b49e48677a49233f30e4abdd709357dcfe6f0e998405fed9143e0848825418e4af60f3d37f10f957d15f8555 SHA512 a6532c6f02f03211f6afe25c051c192c8b791e71cc32a9f6acaf830f7ed0e80531326ba436902870500bea5509cb36bd89f1b4a9a7c919b8069d6bc0eed2c2b8
DIST ruamel-yaml-0.17.2.tar.xz 177648 BLAKE2B 6cc62131027823ab71033c01f4638d6e36bd642ebbe2d92bd44ef7d501f3bdf6104afe192947d50915f9b1d7bc35972be285b8ee455a3d351fa31c39701fc563 SHA512 0d75f6de1ec9e0e65e65227a8dbe4acd41e79748be12592fae879916437b272673fc810940cdd52ad0cd185b129cfa82c72d3ab6e7020e857fe89aca6329af81
+DIST ruamel-yaml-0.17.4.tar.xz 178028 BLAKE2B 24c9f61cf8e158377ae839f73dcceab8fdbb8071d1a792a37bd96158993602625967805f177719bbe88e917ccaf10ba210b6c01e91bb750f4df6bcc8a4a66450 SHA512 4c3d51ff00ace64e00d5bc8314c8cb6bc193da2a90e2cc9b9ed97510a7035778917c56e10b85cafab50f296f2f46d8817ad1abfa01b0498715f4972d91545dd3
DIST ruamel.yaml-0.16.12.tar.gz 147355 BLAKE2B 6e91116029dba57b81580f4ce34a066fc49ec2c6167c2bd6ec2ae940b16bc12ba53cbd4c62f9ae3975664917ce990b050e9f15b434f5ff66f9dece5426049c9d SHA512 21be4d956d01164b84233c3d3945a4e56351a8fc59c35a8e71b1276da84aa43b125e3860f9884e95a1f895bc53e0b85b6d3f0f4b03512d629a892d8664e3ecd6
diff --git a/dev-python/ruamel-yaml/ruamel-yaml-0.17.4.ebuild b/dev-python/ruamel-yaml/ruamel-yaml-0.17.4.ebuild
new file mode 100644
index 000000000000..decbe5e1340b
--- /dev/null
+++ b/dev-python/ruamel-yaml/ruamel-yaml-0.17.4.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} pypy3 )
+
+inherit distutils-r1
+
+MY_PN="${PN//-/.}"
+MY_P="${MY_PN}-${PV}"
+
+DESCRIPTION="YAML parser/emitter that supports roundtrip comment preservation"
+HOMEPAGE="
+ https://pypi.org/project/ruamel.yaml/
+ https://sourceforge.net/p/ruamel-yaml/"
+# PyPI tarballs do not include tests
+SRC_URI="mirror://sourceforge/ruamel-dl-tagged-releases/${MY_P}.tar.xz -> ${P}.tar.xz"
+S="${WORKDIR}"/${MY_P}
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+
+RDEPEND="
+ dev-python/namespace-ruamel[${PYTHON_USEDEP}]
+ dev-python/ruamel-yaml-clib[${PYTHON_USEDEP}]"
+BDEPEND="
+ test? (
+ dev-python/ruamel-std-pathlib[${PYTHON_USEDEP}]
+ )"
+
+distutils_enable_tests pytest
+
+# Old PyYAML tests from lib/ require special set-up and are invoked indirectly
+# via test_z_olddata, tell pytest itself to leave the subdir alone.
+python_test() {
+ local deselect=()
+
+ [[ ${EPYTHON} == pypy3 ]] && deselect+=(
+ _test/test_deprecation.py::test_collections_deprecation
+ )
+
+ epytest --ignore _test/lib/ ${deselect[@]/#/--deselect }
+}
+
+python_install() {
+ distutils-r1_python_install --single-version-externally-managed
+ find "${ED}" -name '*.pth' -delete || die
+}
diff --git a/dev-python/transitions/Manifest b/dev-python/transitions/Manifest
index 7ce3d7c54048..3fb55b6ed306 100644
--- a/dev-python/transitions/Manifest
+++ b/dev-python/transitions/Manifest
@@ -1 +1,2 @@
DIST transitions-0.8.7.tar.gz 1094059 BLAKE2B f8a524751567e450818e8e1219af661661985ead8014a060fcde2af5b7c16b3d2d87140804a85cb92d003682aa237de81865336f011f0b46805ba3d2839cf415 SHA512 0a7300a38facf46fe999f53114dc42040ee6aa423f08e378727d0e083a543d1246cb83ca08a861d4e598560e55124905808649e25e57a6002bd12992ba91dc8d
+DIST transitions-0.8.8.tar.gz 1100609 BLAKE2B 18ebbb1d45e33e7933208b043b56dca40e8dcda936ffc2af4c38ad9325f3e19c0d3c9a35e4d728be05b97feb47eb922fd48317018761bc5c3243887d2f077e33 SHA512 ff6c039ed5ce9fe484c3469d2aee791010a99af7a9bc8777842f1514d7eca3fd7714694240cb57839754367c58228d59b41a88f12c2b7d75353f75e63768160d
diff --git a/dev-python/transitions/transitions-0.8.8.ebuild b/dev-python/transitions/transitions-0.8.8.ebuild
new file mode 100644
index 000000000000..efe11d4b0353
--- /dev/null
+++ b/dev-python/transitions/transitions-0.8.8.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="A lightweight, object-oriented state machine implementation in Python"
+HOMEPAGE="https://github.com/pytransitions/transitions"
+SRC_URI="https://github.com/pytransitions/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="examples"
+
+RDEPEND="
+ || (
+ dev-python/pygraphviz[${PYTHON_USEDEP}]
+ dev-python/graphviz[${PYTHON_USEDEP}]
+ )
+ dev-python/six[${PYTHON_USEDEP}]
+"
+
+DEPEND="
+ test? (
+ dev-python/dill[${PYTHON_USEDEP}]
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/pycodestyle[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+src_install() {
+ distutils-r1_src_install
+
+ use examples && dodoc examples/*.ipynb
+}
diff --git a/dev-python/websocket-client/websocket-client-0.58.0.ebuild b/dev-python/websocket-client/websocket-client-0.58.0-r1.ebuild
index 97c18579f58a..9db298c2254a 100644
--- a/dev-python/websocket-client/websocket-client-0.58.0.ebuild
+++ b/dev-python/websocket-client/websocket-client-0.58.0-r1.ebuild
@@ -24,6 +24,11 @@ RDEPEND="
distutils_enable_tests setup.py
+src_prepare() {
+ sed -i -e '1i#!/usr/bin/env python' bin/wsdump.py || die
+ distutils-r1_src_prepare
+}
+
python_install_all() {
if use examples; then
docompress -x "/usr/share/doc/${PF}/examples"